{$R+}
uses
  Types, Math;
var
  f: array [-200..200, -200..200] of Char;
  x, y, d: Integer;
  ext: TRect = (Left: MaxInt; Top: MaxInt; Right: -MaxInt; Bottom: -MaxInt);

  procedure Put(x, y: Integer; ch: Char);
  begin
    ext.Left := Min(ext.Left, x); ext.Right := Max(ext.Right, x);
    ext.Top := Min(ext.Top, y); ext.Bottom := Max(ext.Bottom, y);
    f[y, x] := ch;
  end;

  procedure PutSym(dx, dy: Integer; cl, cr: Char);
  begin
    Put(x - dx, y + dy, cl);
    Put(x + dx, y + dy, cr);
  end;

  procedure Draw;
  var
    i, dd: Integer;
  begin
    Put(x, y, 'V');
    Put(x, y + d + 1, 'V');
    dd := d div 2;
    for i := 1 to dd do
      PutSym(i, -i, '\', '/');
    if d mod 2 = 0 then
      PutSym(dd, -dd, '^', '^');
    for i := dd + 1 to d do
      PutSym(i, i - d, '/', '\');
    for i := 1 to d do
      PutSym(i, d - i + 1, '\', '/');
  end;

var
  i, N: Integer;
begin
  Assign(input, 'input.txt'); Reset(input);
  Assign(output, 'output.txt'); Rewrite(output);
  FillChar(f, SizeOf(f), '.');
  Read(N);
  for i := 1 to N do begin
    Read(x, y, d);
    Draw;
  end;
  for y := ext.Top to ext.Bottom do
    Writeln(Copy(f[y], ext.Left - Low(f[y]) + 1, ext.Right - ext.Left + 1));
end.
